Bulk delete AI agent items
curl --request POST \
--url https://api.instantly.ai/api/v2/agent-items/bulk-delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "ai_agent"
}
]
}
'import requests
url = "https://api.instantly.ai/api/v2/agent-items/bulk-delete"
payload = { "items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "ai_agent"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({items: [{id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', type: 'ai_agent'}]})
};
fetch('https://api.instantly.ai/api/v2/agent-items/bulk-delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/agent-items/bulk-delete")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"items\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"type\": \"ai_agent\"\n }\n ]\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/agent-items/bulk-delete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'items' => [
[
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'type' => 'ai_agent'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/agent-items/bulk-delete"
payload := strings.NewReader("{\n \"items\": [\n {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"type\": \"ai_agent\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"deleted_ids": [
"0198c2a4-3f1e-7000-8000-000000000000"
],
"failed": [
{
"id": "0198c2a4-3f1e-7000-8000-000000000001",
"reason": "Agent not found"
}
]
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Engage Item
Bulk delete AI agent items
Requires one of the following scopes: engage_items:delete, engage_items:all, all:delete, all:all
POST
/
api
/
v2
/
agent-items
/
bulk-delete
Bulk delete AI agent items
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
⌘I